PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dorgqr | ( | int | M,
|  | int | N,
|  | int | K,
|  | double * | A,
|  | int | LDA,
|  | PLASMA_desc * | descT,
|  | double * | Q,
|  | int | LDQ
| ) |  |

PLASMA_dorgqr - Generates an M-by-N matrix Q with orthonormal columns, which is defined as the first N columns of a product of the elementary reflectors returned by PLASMA_dgeqrf.

Parameters

  [in] | M | The number of rows of the matrix Q. M >= 0.
  [in] | N | The number of columns of the matrix Q. M >= N >= 0.
  [in] | K | The number of columns of elementary tile reflectors whose product defines the matrix Q. N >= K >= 0.
  [in] | A | Details of the QR factorization of the original matrix A as returned by PLASMA_dgeqrf, where the K first columns are the reflectors.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [in] | descT | Auxiliary factorization data, computed by PLASMA_dgeqrf.
  [out] | Q | On exit, the M-by-N matrix Q.
  [in] | LDQ | The leading dimension of the array Q. LDQ >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dorgqr_Tile
  PLASMA_dorgqr_Tile_Async
  PLASMA_cungqr
  PLASMA_dorgqr
  PLASMA_sorgqr
  PLASMA_dgeqrf